Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyXAResourceManager

    java.lang.Object
      org.jboss.mq.SpyXAResourceManager

All Implemented Interfaces:
  Serializable

public class SpyXAResourceManager
extends Object
implements Serializable

This class implements the ResourceManager used for the XAResources used int JBossMQ.

Version:
  $Revision: 1.15 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`SpyXAResourceManager(Connection conn)` Create a new SpyXAResourceManager

Method Summary
`void` | `ackMessage(Object xid, SpyMessage msg)` Acknowledge a message
`void` | `addMessage(Object xid, SpyMessage msg)`
`void` | `commit(Object xid, boolean onePhase)`
`Object` | `convertTx(Long anonXid, Xid xid)`
`void` | `endTx(Object xid, boolean success)`
`Long` | `getNewXid()`
`Object` | `joinTx(Xid xid)`
`int` | `prepare(Object xid)`
`Object` | `resumeTx(Xid xid)`
`void` | `rollback(Object xid)`
`Object` | `startTx()`
`Object` | `startTx(Xid xid)`
`Object` | `suspendTx(Xid xid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpyXAResourceManager

    public SpyXAResourceManager(Connection conn)

  Create a new SpyXAResourceManager

Parameters:
  `conn` - the connection

Method Detail

### ackMessage

    public void ackMessage(Object xid,
                           SpyMessage msg)
                    throws javax.jms.JMSException

  Acknowledge a message

  Parameters:
    `xid` - the xid
    `msg` - the message
  Throws:
    `javax.jms.JMSException` - for any error

### addMessage

    public void addMessage(Object xid,
                           SpyMessage msg)
                    throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### commit

    public void commit(Object xid,
                       boolean onePhase)
                throws XAException,
                       javax.jms.JMSException

  Throws:
    `XAException`
    `javax.jms.JMSException`

### endTx

    public void endTx(Object xid,
                      boolean success)
               throws XAException

  Throws:
    `XAException`

### joinTx

    public Object joinTx(Xid xid)
                  throws XAException

  Throws:
    `XAException`

### prepare

    public int prepare(Object xid)
                throws XAException,
                       javax.jms.JMSException

  Throws:
    `XAException`
    `javax.jms.JMSException`

### resumeTx

    public Object resumeTx(Xid xid)
                    throws XAException

  Throws:
    `XAException`

### rollback

    public void rollback(Object xid)
                  throws XAException,
                         javax.jms.JMSException

  Throws:
    `XAException`
    `javax.jms.JMSException`

### getNewXid

    public Long getNewXid()

### startTx

    public Object startTx()

### startTx

    public Object startTx(Xid xid)
                   throws XAException

  Throws:
    `XAException`

### suspendTx

    public Object suspendTx(Xid xid)
                     throws XAException

  Throws:
    `XAException`

### convertTx

    public Object convertTx(Long anonXid,
                            Xid xid)
                     throws XAException

  Throws:
    `XAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.